%global srcname fs
%global common_description %{expand:
Think of PyFilesystem's FS objects as the next logical step to Python's file objects. In the same way that
file objects abstract a single file, FS objects abstract an entire filesystem.}

Summary:       Python's Filesystem abstraction layer
Name:          python-%{srcname}
Version: 2.4.16
Release: 1%{?dist}
License:       MIT
URL:           https://pypi.org/project/fs/
Source0:       https://github.com/PyFilesystem/pyfilesystem2/archive/v%{version}/%{srcname}-%{version}.tar.gz


BuildRequires: python3-devel python3-setuptools python3-parameterized
BuildRequires: python3dist(appdirs) python3dist(pytz) python3dist(six) python3dist(pytest) python3dist(pytest-randomly)
BuildArch:     noarch

%description
%common_description

%package -n python3-%{srcname}
Summary:        Python's Filesystem abstraction layer

%description -n python3-%{srcname}
%common_description

%prep
%autosetup -n pyfilesystem2-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{python3} -m pytest \
    --ignore tests/test_ftpfs.py \
    --ignore tests/test_osfs.py \
    --ignore tests/test_subfs.py \
    --ignore tests/test_tempfs.py \
    %{nil}

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Thu Sep 21 2023 cunshunxia <cunshunxia@tencent.com> - 2.4.16-1
- upgrade to 2.4.16

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.11-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.11-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 2.4.11-1
- initial build
